Skip to main content
PUT
/
{alias}
/
logistics
/
boxes
/
{id}
Atualizar embalagem
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/logistics/boxes/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "<string>",
  "outer_width": 123,
  "outer_length": 123,
  "outer_depth": 123,
  "empty_weight": 123,
  "inner_width": 123,
  "inner_length": 123,
  "inner_depth": 123,
  "max_weight": 123
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/logistics/boxes/{id}"

payload = {
    "name": "<string>",
    "outer_width": 123,
    "outer_length": 123,
    "outer_depth": 123,
    "empty_weight": 123,
    "inner_width": 123,
    "inner_length": 123,
    "inner_depth": 123,
    "max_weight": 123
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: '<string>',
    outer_width: 123,
    outer_length: 123,
    outer_depth: 123,
    empty_weight: 123,
    inner_width: 123,
    inner_length: 123,
    inner_depth: 123,
    max_weight: 123
  })
};

fetch('https://api.dooki.com.br/v2/{alias}/logistics/boxes/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "outer_width": 123,
      "outer_length": 123,
      "outer_depth": 123,
      "empty_weight": 123,
      "inner_width": 123,
      "inner_length": 123,
      "inner_depth": 123,
      "max_weight": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID da embalagem

Body

application/json

Representa os dados necessários para criar ou atualizar um embalagem

name
string
required
outer_width
number<float>
required
outer_length
number<float>
required
outer_depth
number<float>
required
empty_weight
number<float>
required
inner_width
number<float>
required
inner_length
number<float>
required
inner_depth
number<float>
required
max_weight
number<float>
required

Response

Embalagem atualizada com sucesso

data
Embalagem do pedido · object[]